Skip to main content
GET
Get Flow Settings

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

flowId
string
required

The unique identifier for the Flow.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns the Flow Settings object.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

continueExecutionAfterAttachedFlow
boolean
continueExecutionAterDefaultReply
boolean
continueExecutionAfterNegativeConfirmation
boolean
passDefaultRepliesIntoFlow
boolean
flowIntentMappingOrder
enum<string>
Available options:
joint,
main,
attached
useAttachedFlowThresholds
boolean
useAttachedFlowContinueAfterDefaultReply
boolean
useAttachedFlowPassDefaultRepliesIntoFlow
boolean
implicitSlotParsing
enum<string>
Available options:
disabled,
full,
system,
lexicon
useAttachedFlowImplicitSlotParsing
boolean
lexiconSlotsWithSubMatches
boolean
useIntentDefaultRepliesAsExamples
boolean

Enable/Disable using default replies as training examples.

localeSettings
object[]
intentThreshold
object
learnNewExampleSentences
boolean
learnNewExampleSentencesThreshold
integer
negativeConfirmationWords
string[]
positiveConfirmationWords
string[]
systemSlots
object
yesNoLogic
enum<string>
Available options:
yesNoIntents,
yesNoIntentsWithRules,
confirmationWords
yesNoIntentThreshold
integer
_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
Last modified on July 22, 2026